[Date Prev][Date Next] [Chronological] [Thread] [Top]

Re: Context CSN not updated on OpenLDAP 2.3.11

Adrien Futschik wrote:
> I am facing a major issued for the second time with OpenLDAP 2.3.11.
> I am aware it is a pretty old version of OpenLDAP, but, it has been
> working in
> production for almost a year now without any problem.

Within the 2.3 series the last release was 2.3.43! There were numerous
syncrepl-related fixes since 2.3.11.


OpenLDAP 2.3.25 Release (2006/08/01)
     Fixed slapd syncrepl contextCSN issue (ITS#4622)

So you should definitely upgrade! I'd strongly recommend upgrade to
2.4.16 since the 2.3. series is no longer maintained. slapcat/slapadd is
needed since the DB format changed.

> We are using a OpenLDAP 2.3.11, Berkeley DB 4.4.16 & OpenSSL 0.9.8a all
> running on Solaris 10.

Note that there are also patches for the BDB releases.

Ciao, Michael.